<< stft | FOSSEE_Signal_Processing_Toolbox | strcmpi >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > stmcb

# stmcb

Compute linear model using Steiglitz-McBride iteration

### Syntax

    [b,a] = stmcb(h,nb,na)
    [b,a] = stmcb(y,x,nb,na)
    [b,a] = stmcb(h,nb,na,niter)
    [b,a] = stmcb(y,x,nb,na,niter)
    [b,a] = stmcb(h,nb,na,niter,ai)
    [b,a] = stmcb(y,x,nb,na,niter,ai)

### Parameters

b,a :

  coefficients of the system function,nb is number of zeros and na is number of poles

h:

  impulse response of the system

x,y:

  input and output of same length given to the system

niter:

  no of iterations

ai:

  initial estimate of the denominator coefficients

### Description

This function computes the coefficients of the system function of a linear system using the Steiglitz-McBride iteration method. Accepts only real i/ps , imaginary i/ps are not accepted due to limitations of the 'filter' function in Scilab

### Examples

    h = fscanfMat("macros/stmcb_h_data.txt");
    stmcb(h,4,4)

Report an issue
<< stft | FOSSEE_Signal_Processing_Toolbox | strcmpi >>